forked from pool/findutils
e8d8ebfa75
update to 4.5.10 OBS-URL: https://build.opensuse.org/request/show/100464 OBS-URL: https://build.opensuse.org/package/show/Base:System/findutils?expand=0&rev=25
102 lines
3.9 KiB
Diff
102 lines
3.9 KiB
Diff
diff -aur findutils-4.5.10.orig/doc/find.texi findutils-4.5.10/doc/find.texi
|
|
--- findutils-4.5.10.orig/doc/find.texi 2012-01-16 15:29:59.649039029 -0500
|
|
+++ findutils-4.5.10/doc/find.texi 2012-01-16 15:45:10.098656840 -0500
|
|
@@ -3482,7 +3482,7 @@
|
|
@item --prunepaths='@var{path}@dots{}'
|
|
Directories to omit from the database, which would otherwise be
|
|
included. The environment variable @code{PRUNEPATHS} also sets this
|
|
-value. Default is @file{/tmp /usr/tmp /var/tmp /afs}. The paths are
|
|
+value. Default is @file{/tmp /usr/tmp /var/tmp /afs /var/spool}. The paths are
|
|
used as regular expressions (with @code{find ... -regex}, so you need
|
|
to specify these paths in the same way that @code{find} will encounter
|
|
them. This means for example that the paths must not include trailing
|
|
diff -aur findutils-4.5.10.orig/locate/updatedb.1 findutils-4.5.10/locate/updatedb.1
|
|
--- findutils-4.5.10.orig/locate/updatedb.1 2012-01-16 15:31:03.240244029 -0500
|
|
+++ findutils-4.5.10/locate/updatedb.1 2012-01-16 15:45:37.745311211 -0500
|
|
@@ -75,8 +75,7 @@
|
|
.TP
|
|
.B \-\-output=\fIdbfile\fP
|
|
The database file to build.
|
|
-Default is system-dependent. In Debian GNU/Linux, the default
|
|
-is /var/cache/locate/locatedb.
|
|
+Default is /var/lib/locatedb.
|
|
.TP
|
|
.B \-\-localuser=\fIuser\fP
|
|
The user to search non-network directories as, using \fBsu\fP(1).
|
|
@@ -85,7 +84,7 @@
|
|
.TP
|
|
.B \-\-netuser=\fIuser\fP
|
|
The user to search network directories as, using \fBsu\fP(1).
|
|
-Default is \fBdaemon\fP.
|
|
+Default is \fBnobody\fP.
|
|
You can also use the environment variable \fBNETUSER\fP to set this user.
|
|
.TP
|
|
.B \-\-old\-format
|
|
diff -aur findutils-4.5.10.orig/locate/updatedb.sh findutils-4.5.10/locate/updatedb.sh
|
|
--- findutils-4.5.10.orig/locate/updatedb.sh 2012-01-16 15:32:52.071883446 -0500
|
|
+++ findutils-4.5.10/locate/updatedb.sh 2012-01-16 15:45:56.037082532 -0500
|
|
@@ -158,7 +158,7 @@
|
|
: ${NETPATHS=}
|
|
|
|
# Directories to not put in the database, which would otherwise be.
|
|
-: ${PRUNEPATHS="/tmp /usr/tmp /var/tmp /afs /amd /sfs /proc"}
|
|
+: ${PRUNEPATHS="/tmp /usr/tmp /var/tmp /afs /amd /sfs /proc /var/spool"}
|
|
|
|
# Trailing slashes result in regex items that are never matched, which
|
|
# is not what the user will expect. Therefore we now reject such
|
|
@@ -188,7 +188,7 @@
|
|
export TMPDIR
|
|
|
|
# The user to search network directories as.
|
|
-: ${NETUSER=daemon}
|
|
+: ${NETUSER=nobody}
|
|
|
|
# The directory containing the subprograms.
|
|
if test -n "$LIBEXECDIR" ; then
|
|
@@ -228,10 +228,10 @@
|
|
|
|
PATH=/bin:/usr/bin:${BINDIR}; export PATH
|
|
|
|
-: ${PRUNEFS="nfs NFS proc afs smbfs autofs iso9660 ncpfs coda devpts ftpfs devfs mfs sysfs shfs"}
|
|
+: ${PRUNEFS="nfs NFS proc afs smbfs autofs iso9660 ncpfs coda devpts ftpfs devfs mfs sysfs shfs cifs 9P"}
|
|
|
|
if test -n "$PRUNEFS"; then
|
|
-prunefs_exp=`echo $PRUNEFS |sed -e 's/\([^ ][^ ]*\)/-o -fstype \1/g' \
|
|
+prunefs_exp=`echo $PRUNEFS |sed -e 's/\([^ ][^ ]*\)/-fstype \1 -o/g' \
|
|
-e 's/-o //' -e 's/$/ -o/'`
|
|
else
|
|
prunefs_exp=''
|
|
@@ -253,12 +253,13 @@
|
|
su $LOCALUSER `select_shell $LOCALUSER` -c \
|
|
"$find $SEARCHPATHS $FINDOPTIONS \
|
|
\\( $prunefs_exp \
|
|
- -type d -regex '$PRUNEREGEX' \\) -prune -o $print_option"
|
|
+ -type d \\( $prunefs_exp -regex '$PRUNEREGEX' \\) -prune \
|
|
+ -o $print_option"
|
|
else
|
|
# : A2
|
|
$find $SEARCHPATHS $FINDOPTIONS \
|
|
\( $prunefs_exp \
|
|
- -type d -regex "$PRUNEREGEX" \) -prune -o $print_option
|
|
+ -type d \( $prunefs_exp -regex "$PRUNEREGEX" \) -prune -o $print_option
|
|
fi
|
|
fi
|
|
|
|
@@ -322,12 +323,14 @@
|
|
su $LOCALUSER `select_shell $LOCALUSER` -c \
|
|
"$find $SEARCHPATHS $FINDOPTIONS \
|
|
\( $prunefs_exp \
|
|
- -type d -regex '$PRUNEREGEX' \) -prune -o $print_option" || exit $?
|
|
+ -type d \( $prunefs_exp -regex '$PRUNEREGEX' \) -prune \
|
|
+ -o $print_option" || exit $?
|
|
else
|
|
# : A6
|
|
$find $SEARCHPATHS $FINDOPTIONS \
|
|
\( $prunefs_exp \
|
|
- -type d -regex "$PRUNEREGEX" \) -prune -o $print_option || exit $?
|
|
+ -type d \( $prunefs_exp -regex "$PRUNEREGEX" \) -prune \
|
|
+ -o $print_option || exit $?
|
|
fi
|
|
fi
|
|
|